Spreadsheet to Contacts

Turn a CSV list of names and phone numbers into a phone-ready .vcf file, in your browser, with nothing uploaded.

Paste or drop a CSV list of contacts and get a .vcf file your phone can import. The tool reads the CSV following RFC 4180 (quoted fields, embedded commas and line breaks, doubled quotes), lets you say which column holds the name, the phone, the email and the organisation, then writes one vCard 3.0 block per row. Version 3.0 is the widest-supported choice: it imports into Google Contacts, iCloud, Outlook and most Android phones without argument. Nothing is uploaded.

Honest limits. A vCard needs a formatted name, so a row with no name gets its phone number as a placeholder name rather than being dropped silently, and the page says so. Phone numbers are kept exactly as written: the tool does not reformat them, because reformatting a number you typed is how digits get lost. Long lines are folded at 75 characters with a continuation line starting with a space, as the vCard format requires. This tool writes vCard 3.0, not 4.0: the two differ in small details (4.0 is RFC 6350, 3.0 is RFC 2426), and 3.0 imports more widely.

From a flat list to a phone-ready file

A CSV list is flat: one row per person, one column per field, with RFC 4180 rules for the awkward cases. A field that contains a comma, a quote or a line break is wrapped in double quotes, and a double quote inside a field is written twice. A reader that splits every line at every comma will break on a name such as "Haddad, Amira" or an address with a comma in it, so this tool parses the CSV properly, character by character, tracking whether it is inside quotes, before it maps any column. Only after the parse does it ask which column is which, because a list exported from one system rarely uses the same headers as a list from another.

The output is vCard 3.0 (RFC 2426), the version with the widest import support across Google Contacts, iCloud, Outlook and Android phones. Each contact is one block: BEGIN:VCARD, VERSION:3.0, FN for the formatted name, N split into family and given names on the first space, TEL, EMAIL, ORG, TITLE and NOTE when the mapped columns have values, then END:VCARD. Under RFC 6350 (vCard 4.0), the only required properties are BEGIN, VERSION, FN and END, and this tool respects the same rule for 3.0: a contact with no phone and no email is still a valid card, as long as it has a name.

Why column mapping is manual

One export calls the column Name, another calls it Full Name, a third calls it Contact, and a fourth has no header row at all. Guessing from headers gets it wrong often enough to matter, and a wrong guess puts phone numbers in the name field. Picking the columns yourself takes ten seconds and is the honest way to do it.

Why nothing is uploaded

A contact list is personal data about real people. Building the .vcf in the browser means the list is never sent anywhere, so there is no server copy to leak.

Frequently Asked Questions

Paste the CSV text or choose a CSV file, press Read CSV, pick which column holds the name, phone, email and organisation, then press Generate .vcf. Download the file and import it into Google Contacts, iCloud, Outlook or your phone.
It helps, but it is not required. With a header row, the mapping dropdowns show the header names. Without one, they show Column 1, Column 2 and so on, and you map by position. The first row is always treated as data unless you say otherwise in the mapping step.
Because 3.0 (RFC 2426) imports more widely than 4.0 (RFC 6350). Some phones and older contact apps still mishandle 4.0 details, while 3.0 imports almost everywhere. The contact data is the same either way.
It is not dropped silently. With the skip option on, a row with neither a name nor a phone is skipped, because there is nothing to import. A row with a phone but no name gets the phone number as a placeholder name, and the page says how many rows that happened to.
Because reformatting a number you typed is how digits get lost. The tool keeps each number exactly as written, including any plus sign, spaces or dashes, and leaves formatting to the phone app on import.
No. The CSV parsing and the vCard building run in your browser. The list never leaves your device.

Related Tools

Was this tool helpful?

Comments

Loading comments...

Check Out Other Popular Tools